Create a new Payment Plan
Authorization
appToken writeApp access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: write
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/symbols/string/preferences" \ -H "Content-Type: application/json" \ -d '{}'{ "preferenceId": "string", "formula": "max_amount", "levelTable": { "property1": [ "string" ], "property2": [ "string" ] }, "ratio": "string", "unit": "string", "position": "open", "side": "buy", "scope": { "groupId": "string", "name": "string", "uuid": "string" }, "precision": 0, "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string"}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "error": { "message": "This App is read-only and cannot perform this operation.", "code": "insufficient_scope" }}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}